CVE-2004-0149
CVSS4.6
发布时间 :2004-05-04 00:00:00
修订时间 :2008-09-05 16:37:39
NMCOS    

[原文]Multiple buffer overflows in xboing before 2.4 allow local users to gain privileges.


[CNNVD]xboing本地缓冲区溢出漏洞(CNNVD-200405-023)

        
        xboing是一款游戏程序。
        xboing对环境变量缺少充分边界检查,本地攻击者可以利用这个漏洞进行缓冲区溢出,可获得"games"组权限。
        目前没有详细漏洞细节提供。
        

- CVSS (基础分值)

CVSS分值: 4.6 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-0149
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-0149
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200405-023
(官方数据源) CNNVD

- 其它链接及资源

http://www.debian.org/security/2004/dsa-451
(PATCH)  DEBIAN  DSA-451
http://xforce.iss.net/xforce/xfdb/15347
(VENDOR_ADVISORY)  XF  xboing-bo(15347)
http://www.securityfocus.com/bid/9764
(VENDOR_ADVISORY)  BID  9764

- 漏洞信息

xboing本地缓冲区溢出漏洞
中危 边界条件错误
2004-05-04 00:00:00 2005-10-20 00:00:00
本地  
        
        xboing是一款游戏程序。
        xboing对环境变量缺少充分边界检查,本地攻击者可以利用这个漏洞进行缓冲区溢出,可获得"games"组权限。
        目前没有详细漏洞细节提供。
        

- 公告与补丁

        厂商补丁:
        Debian
        ------
        
        http://www.debian.org/security/2004/dsa-451

- 漏洞信息

4109
xboing Potential Privilege Escalation

- 漏洞描述

Unknown or Incomplete

- 时间线

2004-03-01 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

xboing Local Buffer Overflow Vulnerabilities
Boundary Condition Error 9764
No Yes
2004-02-27 12:00:00 2009-07-12 03:06:00
Discovery is credited to Steve Kemp.

- 受影响的程序版本

xboing xboing 2.4
+ Debian Linux 3.0 sparc
+ Debian Linux 3.0 s/390
+ Debian Linux 3.0 ppc
+ Debian Linux 3.0 mipsel
+ Debian Linux 3.0 mips
+ Debian Linux 3.0 m68k
+ Debian Linux 3.0 ia-64
+ Debian Linux 3.0 ia-32
+ Debian Linux 3.0 hppa
+ Debian Linux 3.0 arm
+ Debian Linux 3.0 alpha
+ Debian Linux 3.0

- 漏洞讨论

xboing is prone to multiple buffer overflows that could be exploited to allow a local user to elevate their privileges.

- 漏洞利用

This vulnerability and other local evironment vulnerabilities can be exploited using env-overflow. See the References section for a link to this utility.

- 解决方案

Debian has released an advisory (DSA 451-1) and fixes to address this issue. See the referenced advisory for links to fixes.


xboing xboing 2.4

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站